import SwiftUI

let storage = TemperatureStorage()
let bluetoothClient = BluetoothClient()

@main
struct TempTrackApp: App {
    
    var body: some Scene {
        WindowGroup {
            ContentView()
                .environmentObject(storage)
                .environmentObject(bluetoothClient)
                .onAppear {
                    bluetoothClient.delegate = storage
                }
        }
    }
}
